<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'annie',

    /*
     * Package.
     */
    'package'   => 'activity',

    /*
     * Modules.
     */
    'modules'   => ['activity', 
'activity_activity_area', 
'activity_area', 
'activity_collage', 
'activity_community', 
'activity_programme', 
'activity_school', 
'activity_social_partner', 
'activity_work_area'],

    'activity'       => [
        'model' => [
            'model'                 => \Annie\Activity\Models\Activity::class,
            'table'                 => 'activities',
            'presenter'             => \Annie\Activity\Repositories\Presenter\ActivityPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'title',  'slug',  'descrition',  'activity_date',  'state_id',  'city_id',  'block_id',  'village_id',  'images',  'videos',  'meta_title',  'meta_keywords',  'meta_description',  'hashtags',  'status',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'activity/activity',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Activity',
            'module'    => 'Activity',
        ],

        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "Activity created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "Activity completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "Activity verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "Activity approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "Activity published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "Activity unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "Activity archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "Activity deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],

    ],

    'activity_activity_area'       => [
        'model' => [
            'model'                 => \Annie\Activity\Models\ActivityActivityArea::class,
            'table'                 => 'activity_activity_areas',
            'presenter'             => \Annie\Activity\Repositories\Presenter\ActivityActivityAreaPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'activity_area_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity/activity_activity_area',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Activity',
            'module'    => 'ActivityActivityArea',
        ],

    ],

    'activity_area'       => [
        'model' => [
            'model'                 => \Annie\Activity\Models\ActivityArea::class,
            'table'                 => 'activity_areas',
            'presenter'             => \Annie\Activity\Repositories\Presenter\ActivityAreaPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'programme_id',  'name',  'slug',  'meta_title',  'meta_keywords',  'meta_description',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'activity/activity_area',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Activity',
            'module'    => 'ActivityArea',
        ],

    ],

    'activity_collage'       => [
        'model' => [
            'model'                 => \Annie\Activity\Models\ActivityCollage::class,
            'table'                 => 'activity_collages',
            'presenter'             => \Annie\Activity\Repositories\Presenter\ActivityCollagePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'collage_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity/activity_collage',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Activity',
            'module'    => 'ActivityCollage',
        ],

    ],

    'activity_community'       => [
        'model' => [
            'model'                 => \Annie\Activity\Models\ActivityCommunity::class,
            'table'                 => 'activity_communities',
            'presenter'             => \Annie\Activity\Repositories\Presenter\ActivityCommunityPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'community_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity/activity_community',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Activity',
            'module'    => 'ActivityCommunity',
        ],

    ],

    'activity_programme'       => [
        'model' => [
            'model'                 => \Annie\Activity\Models\ActivityProgramme::class,
            'table'                 => 'activity_programmes',
            'presenter'             => \Annie\Activity\Repositories\Presenter\ActivityProgrammePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'programme_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity/activity_programme',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Activity',
            'module'    => 'ActivityProgramme',
        ],

    ],

    'activity_school'       => [
        'model' => [
            'model'                 => \Annie\Activity\Models\ActivitySchool::class,
            'table'                 => 'activity_schools',
            'presenter'             => \Annie\Activity\Repositories\Presenter\ActivitySchoolPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'school_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity/activity_school',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Activity',
            'module'    => 'ActivitySchool',
        ],

    ],

    'activity_social_partner'       => [
        'model' => [
            'model'                 => \Annie\Activity\Models\ActivitySocialPartner::class,
            'table'                 => 'activity_social_partners',
            'presenter'             => \Annie\Activity\Repositories\Presenter\ActivitySocialPartnerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'social_partner_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity/activity_social_partner',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Activity',
            'module'    => 'ActivitySocialPartner',
        ],

    ],

    'activity_work_area'       => [
        'model' => [
            'model'                 => \Annie\Activity\Models\ActivityWorkArea::class,
            'table'                 => 'activity_work_areas',
            'presenter'             => \Annie\Activity\Repositories\Presenter\ActivityWorkAreaPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'work_area_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity/activity_work_area',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Activity',
            'module'    => 'ActivityWorkArea',
        ],

    ],
];
