<?php

namespace Annie\Activity\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
use Litepie\Workflow\Model\Workflow;
class Activity extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;

    use Workflow;

    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'annie.activity.activity.model';


    /**
     * The activityArea that belong to the activity.
     */
    public function activityArea(){
        return $this->hasMany('Activity\Activity\Models\Activity_activity_area');
    }


    /**
     * The areas that belong to the activity.
     */
    public function areas(){
        return $this->hasMany('Activity\Activity\Models\Activity_area');
    }


    /**
     * The collages that belong to the activity.
     */
    public function collages(){
        return $this->hasMany('Activity\Activity\Models\Activity_collage');
    }


    /**
     * The communities that belong to the activity.
     */
    public function communities(){
        return $this->hasMany('Activity\Activity\Models\Activity_community');
    }


    /**
     * The programmes that belong to the activity.
     */
    public function programmes(){
        return $this->hasMany('Activity\Activity\Models\Activity_programme');
    }


    /**
     * The schools that belong to the activity.
     */
    public function schools(){
        return $this->hasMany('Activity\Activity\Models\Activity_school');
    }


    /**
     * The social_partners that belong to the activity.
     */
    public function social_partners(){
        return $this->hasMany('Activity\Activity\Models\Activity_social_partner');
    }


    /**
     * The work_areas that belong to the activity.
     */
    public function work_areas(){
        return $this->hasMany('Activity\Activity\Models\Activity_work_area');
    }
}
