<?php

namespace Annie\Activity\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class ActivityWorkArea extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'annie.activity.activity_work_area.model';


    /**
     * The workAreas that belong to the activity_work_area.
     */
    public function workAreas(){
        return $this->belongsTo('Activity\ActivityWorkArea\Models\Activity');
    }
}
