<?php

namespace Annie\Activity\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Activity policy
        'Annie\Activity\Models\Activity' => \Annie\Activity\Policies\ActivityPolicy::class,
// Bind ActivityActivityArea policy
        'Annie\Activity\Models\ActivityActivityArea' => \Annie\Activity\Policies\ActivityActivityAreaPolicy::class,
// Bind ActivityArea policy
        'Annie\Activity\Models\ActivityArea' => \Annie\Activity\Policies\ActivityAreaPolicy::class,
// Bind ActivityCollage policy
        'Annie\Activity\Models\ActivityCollage' => \Annie\Activity\Policies\ActivityCollagePolicy::class,
// Bind ActivityCommunity policy
        'Annie\Activity\Models\ActivityCommunity' => \Annie\Activity\Policies\ActivityCommunityPolicy::class,
// Bind ActivityProgramme policy
        'Annie\Activity\Models\ActivityProgramme' => \Annie\Activity\Policies\ActivityProgrammePolicy::class,
// Bind ActivitySchool policy
        'Annie\Activity\Models\ActivitySchool' => \Annie\Activity\Policies\ActivitySchoolPolicy::class,
// Bind ActivitySocialPartner policy
        'Annie\Activity\Models\ActivitySocialPartner' => \Annie\Activity\Policies\ActivitySocialPartnerPolicy::class,
// Bind ActivityWorkArea policy
        'Annie\Activity\Models\ActivityWorkArea' => \Annie\Activity\Policies\ActivityWorkAreaPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
