<?php

namespace Annie\Activity\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityActivityAreaTransformer extends TransformerAbstract
{
    public function transform(\Annie\Activity\Models\ActivityActivityArea $activity_activity_area)
    {
        return [
            'id'                => $activity_activity_area->getRouteKey(),
            'key'               => [
                'public'    => $activity_activity_area->getPublicKey(),
                'route'     => $activity_activity_area->getRouteKey(),
            ], 
            'id'                => $activity_activity_area->id,
            'activity_id'       => $activity_activity_area->activity_id,
            'activity_area_id'  => $activity_activity_area->activity_area_id,
            'url'               => [
                'public'    => trans_url('activity/'.$activity_activity_area->getPublicKey()),
                'user'      => guard_url('activity/activity_activity_area/'.$activity_activity_area->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_activity_area->status),
            'created_at'        => format_date($activity_activity_area->created_at),
            'updated_at'        => format_date($activity_activity_area->updated_at),
        ];
    }
}