<?php

namespace Annie\Activity\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityAreaTransformer extends TransformerAbstract
{
    public function transform(\Annie\Activity\Models\ActivityArea $activity_area)
    {
        return [
            'id'                => $activity_area->getRouteKey(),
            'key'               => [
                'public'    => $activity_area->getPublicKey(),
                'route'     => $activity_area->getRouteKey(),
            ], 
            'id'                => $activity_area->id,
            'user_id'           => $activity_area->user_id,
            'programme_id'      => $activity_area->programme_id,
            'name'              => $activity_area->name,
            'slug'              => $activity_area->slug,
            'meta_title'        => $activity_area->meta_title,
            'meta_keywords'     => $activity_area->meta_keywords,
            'meta_description'  => $activity_area->meta_description,
            'deleted_at'        => $activity_area->deleted_at,
            'created_at'        => $activity_area->created_at,
            'updated_at'        => $activity_area->updated_at,
            'url'               => [
                'public'    => trans_url('activity/'.$activity_area->getPublicKey()),
                'user'      => guard_url('activity/activity_area/'.$activity_area->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_area->status),
            'created_at'        => format_date($activity_area->created_at),
            'updated_at'        => format_date($activity_area->updated_at),
        ];
    }
}