<?php

namespace Annie\Activity\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityCollageTransformer extends TransformerAbstract
{
    public function transform(\Annie\Activity\Models\ActivityCollage $activity_collage)
    {
        return [
            'id'                => $activity_collage->getRouteKey(),
            'key'               => [
                'public'    => $activity_collage->getPublicKey(),
                'route'     => $activity_collage->getRouteKey(),
            ], 
            'id'                => $activity_collage->id,
            'activity_id'       => $activity_collage->activity_id,
            'collage_id'        => $activity_collage->collage_id,
            'url'               => [
                'public'    => trans_url('activity/'.$activity_collage->getPublicKey()),
                'user'      => guard_url('activity/activity_collage/'.$activity_collage->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_collage->status),
            'created_at'        => format_date($activity_collage->created_at),
            'updated_at'        => format_date($activity_collage->updated_at),
        ];
    }
}