<?php

namespace Annie\Activity\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityCommunityTransformer extends TransformerAbstract
{
    public function transform(\Annie\Activity\Models\ActivityCommunity $activity_community)
    {
        return [
            'id'                => $activity_community->getRouteKey(),
            'key'               => [
                'public'    => $activity_community->getPublicKey(),
                'route'     => $activity_community->getRouteKey(),
            ], 
            'id'                => $activity_community->id,
            'activity_id'       => $activity_community->activity_id,
            'community_id'      => $activity_community->community_id,
            'url'               => [
                'public'    => trans_url('activity/'.$activity_community->getPublicKey()),
                'user'      => guard_url('activity/activity_community/'.$activity_community->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_community->status),
            'created_at'        => format_date($activity_community->created_at),
            'updated_at'        => format_date($activity_community->updated_at),
        ];
    }
}