<?php

namespace Annie\Activity\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivitySchoolTransformer extends TransformerAbstract
{
    public function transform(\Annie\Activity\Models\ActivitySchool $activity_school)
    {
        return [
            'id'                => $activity_school->getRouteKey(),
            'key'               => [
                'public'    => $activity_school->getPublicKey(),
                'route'     => $activity_school->getRouteKey(),
            ], 
            'id'                => $activity_school->id,
            'activity_id'       => $activity_school->activity_id,
            'school_id'         => $activity_school->school_id,
            'url'               => [
                'public'    => trans_url('activity/'.$activity_school->getPublicKey()),
                'user'      => guard_url('activity/activity_school/'.$activity_school->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_school->status),
            'created_at'        => format_date($activity_school->created_at),
            'updated_at'        => format_date($activity_school->updated_at),
        ];
    }
}