<?php

namespace Annie\Activity\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivitySocialPartnerTransformer extends TransformerAbstract
{
    public function transform(\Annie\Activity\Models\ActivitySocialPartner $activity_social_partner)
    {
        return [
            'id'                => $activity_social_partner->getRouteKey(),
            'key'               => [
                'public'    => $activity_social_partner->getPublicKey(),
                'route'     => $activity_social_partner->getRouteKey(),
            ], 
            'id'                => $activity_social_partner->id,
            'activity_id'       => $activity_social_partner->activity_id,
            'social_partner_id' => $activity_social_partner->social_partner_id,
            'url'               => [
                'public'    => trans_url('activity/'.$activity_social_partner->getPublicKey()),
                'user'      => guard_url('activity/activity_social_partner/'.$activity_social_partner->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_social_partner->status),
            'created_at'        => format_date($activity_social_partner->created_at),
            'updated_at'        => format_date($activity_social_partner->updated_at),
        ];
    }
}