<?php

namespace Annie\Activity\Workflow;

use Annie\Activity\Models\Activity;
use Annie\Activity\Notifications\ActivityWorkflow as ActivityNotifyer;
use Notification;

class ActivityNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Activity $activity
     *
     * @return void
     */
    public function complete(Activity $activity)
    {
        return Notification::send($activity->user, new ActivityNotifyer($activity, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Activity $activity
     *
     * @return void
     */
    public function verify(Activity $activity)
    {
        return Notification::send($activity->user, new ActivityNotifyer($activity, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Activity $activity
     *
     * @return void
     */
    public function approve(Activity $activity)
    {
        return Notification::send($activity->user, new ActivityNotifyer($activity, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Activity $activity
     *
     * @return void
     */
    public function publish(Activity $activity)
    {
        return Notification::send($activity->user, new ActivityNotifyer($activity, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Activity $activity
     *
     * @return void
     */
    public function archive(Activity $activity)
    {
        return Notification::send($activity->user, new ActivityNotifyer($activity, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Activity $activity
     *
     * @return void
     */
    public function unpublish(Activity $activity)
    {
        return Notification::send($activity->user, new ActivityNotifyer($activity, 'unpublish'));;

    }
}
